# DMRefine

Refines a DM object

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMRefine(DM dm,MPI_Comm comm,DM *dmf)

Collective on DM

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or PETSC_NULL)

### Output Parameter

dmf -the refined DM

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMGetInterpolation()

Level:developer
Location: src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages